# {{ ansible_managed }}
server {
    listen 80 ;
    server_name ubuntu.cat www.ubuntu.cat ;
    return 301 https://www.ubuntu.cat$request_uri ;
}

server {
    listen       443 ssl ;
    server_name  ubuntu.cat www.ubuntu.cat ;

    error_page   500 502 503 504  /50x.html;
    location = /50x.html {
        root   /var/www/nginx-default;
    }

    location ^~ /.well-known/acme-challenge/ {
        root /var/www/murdock;
    }


    # reverse proxy to Perens
    location / {
        proxy_set_header  X-Real-IP  $remote_addr;
        proxy_set_header  Host $host;
        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
        proxy_set_header  X-Forwarded-Port $server_port;
	proxy_set_header  X-Forwarded-Proto $scheme ;

        proxy_pass        http://{{ hostvars['perens.caliu.cat']['ansible_facts']['default_ipv4']['address'] }}:80;
	proxy_redirect    http://{{ hostvars['perens.caliu.cat']['ansible_facts']['default_ipv4']['address'] }}:80 https://ubuntu.cat:443 ;
	proxy_buffer_size   128k;
        proxy_buffers   4 256k;
        proxy_busy_buffers_size   256k;
    }

    ssl_certificate     /etc/ssl/certs/ubuntu.cat.chained.crt ;
    ssl_certificate_key /etc/ssl/private/ubuntu.cat.key ;
    include ssl.conf ;
}

